Package org.jfree.layouting.renderer.model.table.cells

## Class ConflictingCell

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.cells.TableCell
  - - org.jfree.layouting.renderer.model.table.cells.PlaceHolderCell
    - - org.jfree.layouting.renderer.model.table.cells.ConflictingCell

-     public class ConflictingCell
      extends PlaceHolderCell

  A storage item for conflicting cells. Conflicts can only happen between two placeholder cells. The first cell is represented by the conflictingCell instance itself, all additional cells are stored in a list of placeholder cells. This information can be used to resolve the conflict by inserting extra rows. For now, we simply log the whole stuff and blame the user if things go wrong.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConflictingCell​(DataCell sourceCell, int rowSpan, int colSpan)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConflictingCell​(PlaceHolderCell cell)` |
    `PlaceHolderCell` | `getConflictingCell​(int pos)` |
    `int` | `getConflictingCellCount​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.table.cells.PlaceHolderCell

      `getSourceCell`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.table.cells.TableCell

      `getColSpan, getRowSpan`

- - ### Constructor Detail

    - #### ConflictingCell

          public ConflictingCell​(DataCell sourceCell,
                                 int rowSpan,
                                 int colSpan)

  - ### Method Detail

    - #### addConflictingCell

          public void addConflictingCell​(PlaceHolderCell cell)

    - #### getConflictingCellCount

          public int getConflictingCellCount​()

    - #### getConflictingCell

          public PlaceHolderCell getConflictingCell​(int pos)

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `PlaceHolderCell`